> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minaexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Blockchain Summary

> Returns summary information about the current chain



## OpenAPI

````yaml rest-api/openapi.json get /summary
openapi: 3.0.0
info:
  title: REST API
  version: '1.0'
  contact:
    name: 'MinaExplorer '
    email: support@minaexplorer.com
    url: https://docs.minaexplorer.com/minaexplorer/get-help
  termsOfService: https://docs.minaexplorer.com/minaexplorer/website-terms-of-service
  description: >-
    A REST API for the latest Mina Blockchain Data. For all archived data, use
    the GraphQL API.
servers:
  - url: https://api.minaexplorer.com
security: []
tags:
  - name: broadcast
    description: Broadcast signed transactions to the network
  - name: blocks
    description: Get block data
  - name: accounts
    description: Get account data
  - name: blockchain
    description: Return summary information about the blockchain
paths:
  /summary:
    get:
      tags:
        - blockchain
      summary: Blockchain Summary
      description: Returns summary information about the current chain
      operationId: get-summary
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  blockchainLength:
                    type: number
                  chainId:
                    type: string
                    minLength: 1
                  circulatingSupply:
                    type: string
                    minLength: 1
                  dateTime:
                    type: string
                    minLength: 1
                  epoch:
                    type: number
                  globalSlot:
                    type: number
                  lockedSupply:
                    type: string
                    minLength: 1
                  minWindowDensity:
                    type: number
                  nextEpochLedgerHash:
                    type: string
                    minLength: 1
                  previousStateHash:
                    type: string
                    minLength: 1
                  slot:
                    type: number
                  snarkedLedgerHash:
                    type: string
                    minLength: 1
                  stagedLedgerHash:
                    type: string
                    minLength: 1
                  stakingEpochLedgerHash:
                    type: string
                    minLength: 1
                  stateHash:
                    type: string
                    minLength: 1
                  totalCurrency:
                    type: string
                    minLength: 1
                required:
                  - blockchainLength
                  - chainId
                  - circulatingSupply
                  - dateTime
                  - epoch
                  - globalSlot
                  - lockedSupply
                  - minWindowDensity
                  - nextEpochLedgerHash
                  - previousStateHash
                  - slot
                  - snarkedLedgerHash
                  - stagedLedgerHash
                  - stakingEpochLedgerHash
                  - stateHash
                  - totalCurrency
                x-examples:
                  example-1:
                    blockchainLength: 23624
                    chainId: >-
                      5f704cc0c82e0ed70e873f0893d7e06f148524e3f0bdae2afb02e7819a0c24d1
                    circulatingSupply: '107475777.840039250'
                    dateTime: Tue, 25 May 2021 00:27:00 GMT
                    epoch: 4
                    globalSlot: 33129
                    lockedSupply: '716354155.000000000'
                    minWindowDensity: 39
                    nextEpochLedgerHash: jxVF5YbC3B5Rk6ibfsL97WaqojfxrgWtEqMJST9pb4X8s3kRD2T
                    previousStateHash: 3NKYTJhv86Ho2gnK9MQb2yXCHcJf9xB2YJgR8ibCTjYiKKz2vWtX
                    slot: 4569
                    snarkedLedgerHash: jwifqGrNYctdXdmuuZfViuSjLjtr25i5dh4myZR5uGXyKoEVQrh
                    stagedLedgerHash: jxHDPBYakzx1giatQcgHrWk9yGp7tMcYoaLnTPSPW955N9vDfSb
                    stakingEpochLedgerHash: jwPwVsSPZ2tmmGbp8UrWGmDgFDrrzTPpYcjpWosckmcVZV2kcW7
                    stateHash: 3NL3SZxz1y2YotE22vx5NndCFdwu6kK1YRBoSt95AJQdLPtNnYxd
                    totalCurrency: '823829932.840039233'
              examples:
                Example:
                  value:
                    blockchainLength: 23624
                    chainId: >-
                      5f704cc0c82e0ed70e873f0893d7e06f148524e3f0bdae2afb02e7819a0c24d1
                    circulatingSupply: '107475777.840039250'
                    dateTime: Tue, 25 May 2021 00:27:00 GMT
                    epoch: 4
                    globalSlot: 33129
                    lockedSupply: '716354155.000000000'
                    minWindowDensity: 39
                    nextEpochLedgerHash: jxVF5YbC3B5Rk6ibfsL97WaqojfxrgWtEqMJST9pb4X8s3kRD2T
                    previousStateHash: 3NKYTJhv86Ho2gnK9MQb2yXCHcJf9xB2YJgR8ibCTjYiKKz2vWtX
                    slot: 4569
                    snarkedLedgerHash: jwifqGrNYctdXdmuuZfViuSjLjtr25i5dh4myZR5uGXyKoEVQrh
                    stagedLedgerHash: jxHDPBYakzx1giatQcgHrWk9yGp7tMcYoaLnTPSPW955N9vDfSb
                    stakingEpochLedgerHash: jwPwVsSPZ2tmmGbp8UrWGmDgFDrrzTPpYcjpWosckmcVZV2kcW7
                    stateHash: 3NL3SZxz1y2YotE22vx5NndCFdwu6kK1YRBoSt95AJQdLPtNnYxd
                    totalCurrency: '823829932.840039233'

````